import babel from "rollup-plugin-babel";
import commonjs from "rollup-plugin-commonjs";
import resolve from "rollup-plugin-node-resolve";
import ts from "rollup-plugin-ts";
import pkg from "./package.json";

// eslint-disable-next-line import/no-anonymous-default-export
export default [
  {
    input: "src/index.ts",
    external: ["react", "react-script-hook", "usehooks-ts"],
    output: [
      { file: pkg.main, format: "cjs" },
      { file: pkg.module, format: "es" },
    ],
    plugins: [
      ts(),
      resolve(),
      babel({
        extensions: [".ts", ".js", ".tsx", ".jsx"],
      }),
      commonjs(),
    ],
  },
];
