import { useEffect, useState } from "react";
import { useScript } from "usehooks-ts";

const useLoadScript = ({ script }: { script: string }) => {
  const status = useScript(script);
  const [init, setInit] = useState<boolean>(false);

  useEffect(() => {
    if (status !== "ready") return;
    setInit(true);
  }, [status]);
  return {
    init,
  };
};

export default useLoadScript;
